<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.blueland</groupId>
	<artifactId>blueland-plateform</artifactId>
	<version>1.0-SNAPSHOT</version>
	<name>blueland-plateform</name>
	<description>快速开发平台</description>

	<properties>
		<java.version>1.8</java.version>
        <spring.boot.version>2.5.6</spring.boot.version>
<!--		<spring.boot.version>2.3.10.RELEASE</spring.boot.version>-->
<!--        <spring.boot.version>2.1.2.RELEASE</spring.boot.version>-->
		<mybatis.spring.version>2.0.0</mybatis.spring.version>
        <druid.version>1.1.21</druid.version>
        <hibernate-validator.version>5.4.2.Final</hibernate-validator.version>
        <fastjson.version>1.2.56</fastjson.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <pagehelper.version>5.1.10</pagehelper.version>
<!--        <spring-swagger.version>2.8.0</spring-swagger.version>-->
        <spring-security-oauth2.version>2.3.5.RELEASE</spring-security-oauth2.version>
        <oauth2-autoconfigure.version>2.1.3.RELEASE</oauth2-autoconfigure.version>
        <maven-compiler-plugin.version>3.8.0</maven-compiler-plugin.version>
        <pinyin4j.version>2.5.0</pinyin4j.version>
        <commons-lang3.version>3.3.2</commons-lang3.version>
<!--        <blueland-framework-core.version>0.4</blueland-framework-core.version>-->
        <ognl.version>3.2</ognl.version>
        <guava.version>27.1-jre</guava.version>
        <!-- 
        <blueland-workflow-sdk.version>0.0.8</blueland-workflow-sdk.version>
         -->
        <joda.time.version>2.9.7</joda.time.version>
        <okhttp.version>3.6.0</okhttp.version>
        <sdk.version>1.2</sdk.version>
<!--        <swagger-bootstrap-ui.version>1.9.1</swagger-bootstrap-ui.version>-->
        <easypoi-base.version>4.1.0</easypoi-base.version>
        <easypoi-web.version>4.1.0</easypoi-web.version>
        <easypoi-annotation.version>4.1.0</easypoi-annotation.version>
        <mybatis-plus.version>3.4.3.4</mybatis-plus.version>
        <springfox-swagger2.version>2.9.2</springfox-swagger2.version>
        <knife4j.version>3.0.3</knife4j.version>
	</properties>

   <dependencyManagement>  
        <dependencies>
            <!-- SpringBoot的依赖配置-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring.boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-extension</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>
        </dependencies>  
    </dependencyManagement> 

   <packaging>pom</packaging>
  <modules>
    <module>usm-web</module>
    <module>usm-model</module>
    <module>usm-core</module>
    <module>usm-render</module>
  </modules>

    <repositories>
        <repository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public/</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>
</project>